<?php
/* =============================================================== *\
|		Module name: Site Update									|
|		Module version: 1.0											|
|		Begin: 08 October 2006										|
|																	|
\* =============================================================== */

if (!defined('IN_SITE')){
     die('Hacking attempt!');
}

$SiteUpdate	= new SiteUpdate();

class SiteUpdate
{
	function SiteUpdate(){
		global $Func;

		$act	= $Func->get_vars('act', 1);

		switch ($act){
			default:
			case "template":
				$this->update_template();
		}
	}

	function update_template(){
		global $DB;

		$referer		= isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : '';
		$template_id	= isset($_POST['global_template_id']) ? htmlspecialchars($_POST['global_template_id']) : '';
		$template_id	= preg_replace('/[^\w-_]/', '', $template_id);

		if ( is_dir('./templates/'. $template_id) ){
			//Set cookie
			setcookie('global_template_id', $template_id, CURRENT_TIME + 30*86400, "/");
		}

		if ( empty($referer) ){
			$referer	= 'index.php';
		}
		echo '<html><head><meta http-equiv="REFRESH" content="0; url='. $referer .'"></head></html>';
		die();
	}
}

?>